Cmrs
Get the CMRs related to a delivery
Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.
Example of authenticated request
$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
If you choose to identify an object with its remote_id instead of its uid then
-
replace the
uidvalue with theremote_idvalue in the URL -
specify
lookup_field=remote_idin the query parameters
Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the remote_id (see path parameters)
URL of the stored cmr document. You can download the document from this URL.
https://storage.googleapis.com/dashdoc-media/media/shipments/aabd42eb.pngFree text. This reference is searchable in the transports dashboard. Filled by the trucker if the CMR / LV is added from the mobile app. Filled by the user, if the document is added from the web app, or filled by API request.
delivery note 123456 client 1GET /api/v4/deliveries/{uid}/cmrs/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Accept: */*
[
{
"file": "https://storage.googleapis.com/dashdoc-media/media/shipments/aabd42eb.png",
"reference": "delivery note 123456 client 1"
}
]Last updated
Was this helpful?